[![Build Status](https://travis-ci.org/mimiframework/Mimi.jl.svg?branch=master)](https://travis-ci.org/mimiframework/Mimi.jl)
[![Build status](https://ci.appveyor.com/api/projects/status/f915ntkc0etgvim9/branch/master?svg=true)](https://ci.appveyor.com/project/mimiframework/mimi-jl/branch/master)
[![codecov](https://codecov.io/gh/mimiframework/Mimi.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/mimiframework/Mimi.jl)
[![Stable documentation](https://img.shields.io/badge/docs-stable-blue.svg)](https://www.mimiframework.org/Mimi.jl/stable)

# Mimi - Integrated Assessment Modeling Framework

Mimi is a [Julia](http://julialang.org) package that provides a component model for [integrated assessment models](https://en.wikipedia.org/wiki/Integrated_assessment_modelling), as described in detail on the [Mimi Framework Homepage](https://www.mimiframework.org). The [Documentation](https://www.mimiframework.org/Mimi.jl/stable/) includes information on the installation and use of this package, as well as details on the Mimi registry and step-by-step tutorials which users of different experience levels, starting with first-time users. The development team closely monitors the [Mimi Framework forum](https://forum.mimiframework.org) and we suggest this as a starting place for any questoins users may have.

## Updates

* [OptiMimi](http://github.com/jrising/OptiMimi.jl): See this package for optimizing parameters within Mimi models.

* Porting to [Mimi 0.5.0](https://github.com/mimiframework/Mimi.jl/releases/tag/v0.5.1):  If you are adapting models to the [Mimi 0.5.0](https://github.com/mimiframework/Mimi.jl/releases/tag/v0.5.1) breaking release or later, please use the [Integration Guide](https://www.mimiframework.org/Mimi.jl/stable/integrationguide/) as guide to help port your models as easily as possible.

* [Julia 1.0](https://julialang.org/blog/2018/08/one-point-zero): Mimi has now been ported to Julia 1.0.

## Contributions and Questions

You can interact with the Mimi development team via issues and pull requests here on github, and in the [Mimi Framework forum](https://forum.mimiframework.org). Contributions to Mimi are also most welcome, and 
please get in touch with [David Anthoff](http://www.david-anthoff.com) if you are want to be involved in any way with this effort.

## Acknowledgements

This work is partially supported by the National Science Foundation through the Network for Sustainable Climate Risk Management ([SCRiM](http://scrimhub.org/)) under NSF cooperative agreement GEO-1240507.
